# $Revision: 1.46 $, $Date: 2004/07/27 23:22:51 $
Summary:	mpeg player frontend to mpg123
Summary(pl):	Nakadka graficzna dla odtwarzacza mpg123
Name:		gqmpeg
Version:	0.91.1
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/gqmpeg/%{name}-%{version}.tar.gz
# Source0-md5:	e22eda86fc3e59108c8d04abc37b3e56
Patch0:		%{name}-desktop.patch
Icon:		gqmpeg.xpm
URL:		http://gqmpeg.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2.2.0
BuildRequires:	libpng-devel
Requires:	mpg123 >= 0.59p
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GQmpeg is a frontend to mpg123. It includes playlist support and all
the usual playing features. Supports custom skins (looks). Uilitizes
the GTK library. Requires mpg123 v 0.59p or higher.

%description -l pl
GQmpeg jest nakadk graficzn dla mpg123 - odtwarzacza plikw
zapisanych w formacie MP3. Zawiera wszystkie standardowe opcje,
moliwo zmiany wygldu przy pomocy 'skrek'. GQmpeg korzysta z
biblioteki GTK i wymaga mpg123 w wersji 0.59p lub wyszej.

%prep
%setup -q
%patch0 -p1

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog FAQ TODO SKIN-SPECS plugin/README.plugin
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_desktopdir}/gqmpeg.desktop
%{_datadir}/gqmpeg
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gqmpeg.spec,v $
Revision 1.46  2004/07/27 23:22:51  ankry
- desktop fixes, rel. 2

Revision 1.45  2004/04/26 22:49:40  qboosh
- updated to 0.91.1 for gtk+2
- R: mpg123 for basic functionality

Revision 1.44  2004/04/26 15:40:39  adamg
- release 3 for Ac (2 is for Ra)

Revision 1.43  2003/06/13 23:27:29  ankry
- md5

Revision 1.42  2003/05/25 05:48:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2003/02/25 12:13:30  qboosh
- working Source URL

Revision 1.40  2003/01/18 22:50:07  juandon
- removed two lines with define

Revision 1.39  2002/11/27 20:15:44  juandon
- new %%doc

Revision 1.38  2002/10/09 13:14:28  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.37  2002/06/23 20:52:51  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.36  2002/05/21 23:13:27  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.35  2002/04/25 16:29:26  arturs
fixed a small typo

Revision 1.34  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.33  2002/02/23 02:30:44  kloczek
- adapterized.

Revision 1.32  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.31  2002/02/10 21:38:43  blues
- release 2
- removed not existenz patches (seems to be useless now)
- adapterized
STB

Revision 1.30  2002/02/04 03:44:20  kloczek
- updated to 0.12.1 (bugfix release).

Revision 1.29  2002/02/03 20:49:55  ankry
- adding es/pt/pt_BR Group translations

Revision 1.28  2002/01/18 02:13:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.27  2002/01/06 15:58:52  kloczek
- updated to 0.12.0 (new stable version).

Revision 1.26  2001/11/15 05:02:32  kloczek
- updated to 0.11.0,
- new Source url,
- added ac25x patch.

Revision 1.25  2001/04/10 06:40:39  kloczek
- updated to 0.9.0.

Revision 1.24  2001/03/03 12:51:06  kloczek
- updated to 0.8.3.

Revision 1.23  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.22  2001/01/07 21:34:11  kloczek
- updated %doc list.

Revision 1.21  2001/01/07 20:36:07  kloczek
- updated to 0.8.2,
- new URL and Source url.

Revision 1.20  2000/12/04 06:05:34  kloczek
- updated ro 0.8.1,
- updated %files list (added man page).

Revision 1.19  2000/11/09 09:07:25  kloczek
- release 2: use new rpm automation.

Revision 1.18  2000/07/26 23:06:20  kloczek
- updated to 0.7.3.

Revision 1.17  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.16  2000/06/09 07:22:52  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/06/09 06:05:29  kloczek
- updated to 0.7.2.

Revision 1.14  2000/05/23 13:50:10  kloczek
- updated to 0.7.1,
- rewrited %build and %install using new autoconf/automake suit,
- updated %files list,
- updated Source url and URL.

Revision 1.13  2000/05/20 13:53:44  kloczek
- spec adapterized.

Revision 1.12  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.11  2000/04/01 11:14:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:54:22  baggins
- translated kloczkish into english

Revision 1.9  1999/07/20 12:48:07  wiget
- switch to rpm 3.0.2

Revision 1.8  1999/07/17 00:42:29  pius
 - reorder in header.

Revision 1.7  1999/07/12 23:05:58  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Jun 04 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.6.3-1]
- updated to 0.6.3.

* Tue Jun 1 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.6.1-1]
- updated to 0.6.1.

* Wed May 26 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.6.0-1]
- updated to 0.6.0,
- added using more rpm macros.

* Fri May 14 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.5.2-2]
- spec file modified for PLD use,
- added Icon file,
- added gqmpeg-desktop.patch,
- added BuildPrereq rules,
- build on rpm 3,
- package is FHS 2.0 compliant.

* Thu May 13 1999 John Ellis <gqview@geocities.com>
- initial rpm release.
